function CreatePlayer8()

	--	describe the player structure
		Logic.SetPlayerName(8, String.Key("_Player8Name"))
		-- SetPlayerName(8, "Glen Medden")
	
		player8 					= {}
		player8.id 					= 8

	--	set up default information

		local description = {
		
			serfLimit				=	4,
			--------------------------------------------------
			extracting				=	false,
			--------------------------------------------------
			resources = {
				gold				=	8000,
				clay				=	500,
				iron				=	500,
				sulfur				=	500,
				stone				=	500,
				wood				=	500
			},
			--------------------------------------------------
			refresh = {
				gold				=	60,
				clay				=	10,
				iron				=	15,
				sulfur				=	10,
				stone				=	10,
				wood				=	10,
				updateTime			=	2
			},
			rebuild = {
				delay				=	10,
				randomTime			=	5
			},
		}
		
		SetupPlayerAi(player8.id,description)
	
		Logic.UpgradeSettlerCategory(UpgradeCategories.LeaderBow, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.SoldierBow, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.LeaderBow, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.SoldierBow, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.LeaderBow, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.SoldierBow, player8.id)

		Logic.UpgradeSettlerCategory(UpgradeCategories.LeaderSword, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.SoldierSword, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.LeaderSword, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.SoldierSword, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.LeaderSword, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.SoldierSword, player8.id)

		Logic.UpgradeSettlerCategory(UpgradeCategories.LeaderPoleArm, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.SoldierPoleArm, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.LeaderPoleArm, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.SoldierPoleArm, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.LeaderPoleArm, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.SoldierPoleArm, player8.id)
		
		Logic.UpgradeSettlerCategory(UpgradeCategories.LeaderHeavyCavalry, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.SoldierHeavyCavalry, player8.id)
		
		Logic.UpgradeSettlerCategory(UpgradeCategories.LeaderCavalry, player8.id)
		Logic.UpgradeSettlerCategory(UpgradeCategories.SoldierCavalry, player8.id)
		
		BuildingTable = {}
		local tempbuildingtable = GetAllEntitiesOfPlayerOfType(8,Entities.PB_Barracks2)
		for _key, _value in pairs(tempbuildingtable) do
			table.insert(BuildingTable,_value)
		end
		tempbuildingtable = GetAllEntitiesOfPlayerOfType(8,Entities.PB_Archery2)
		for _key, _value in pairs(tempbuildingtable) do
			table.insert(BuildingTable,_value)
		end
		tempbuildingtable = GetAllEntitiesOfPlayerOfType(8,Entities.PB_Stable2)
		for _key, _value in pairs(tempbuildingtable) do
			table.insert(BuildingTable,_value)
		end
		tempbuildingtable = GetAllEntitiesOfPlayerOfType(8,Entities.PB_Foundry2)
		for _key, _value in pairs(tempbuildingtable) do
			table.insert(BuildingTable,_value)
		end
	
	end
